package com.hfkj.common.utils;

import java.math.BigDecimal;
import java.math.RoundingMode;

public class CommonUtil {

    public static String unitLengthTransform(BigDecimal length){

        if(length==null){
            return null;
        }
        if (length.compareTo(new BigDecimal(1000)) > 0) {
            return length.divide(new BigDecimal(1000), 2, RoundingMode.HALF_UP) + "千米";
        }

        return length + "米";
    }
}
